Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152911 - mysql v4.1.10 has serious UNION/DATETIME crash bug
Summary: mysql v4.1.10 has serious UNION/DATETIME crash bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mysql
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL: http://bugs.mysql.com/bug.php?id=8660
Whiteboard:
Depends On:
Blocks: 137160
TreeView+ depends on / blocked
 
Reported: 2005-03-30 23:31 UTC by Michael Pearson
Modified: 2013-07-03 03:04 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-471
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-09 11:42:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:471 normal SHIPPED_LIVE mysql bug fix update 2005-06-09 04:00:00 UTC

Description Michael Pearson 2005-03-30 23:31:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
The recent errata release of mysql-server contains MySQL bug 8660. In short, this bug causes the mysql server to SIGSEGV whenever two UNION'd queries contain a DATE() cast.

Please note that I have reproduced this bug on a i386 machine as well as the x86_64 machine.

More information can be found at:
http://bugs.mysql.com/bug.php?id=8660

Version-Release number of selected component (if applicable):
4.1.10a-1.RHEL4.1

How reproducible:
Always

Steps to Reproduce:
1. Update a RHES4 system's mysql-server package to 4.1.10a as per errata
2. Run the following queries in mysql:
create table a ( f datetime);
create table b ( f datetime);
select DATE(f) from a UNION select DATE(f) from b;

Actual Results:  mysql client software reported that the connection went away before the query was complete. The mysql-server error log reported a SIGSEGV and reload.

Expected Results:  Query should have completed successfully.

Additional info:

This is a very serious, open and recognized bug in the upstream mysql project and I expect better release engineering from an enterprise level product. What I installed as a trusted and essential security fix resulted in nearly two hours of downtime as we diagnosed the problem and implimented a workaround.

Comment 6 Tom Lane 2005-05-13 16:17:52 UTC
A fix for this is pending for RHEL4 QU1.

Comment 7 Tim Powers 2005-06-09 11:42:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-471.html



Note You need to log in before you can comment on or make changes to this bug.